<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/menu/_menu_template.xhtml">
        <ui:define name="menu_title">
            <h:outputLink styleClass="navbar-brand"
                          value="/PatientManager/home.seam">
                <h:outputText value="#{messages['gazelle.patientmanager.PatientManager']}"/>
            </h:outputLink>
        </ui:define>
        <ui:define name="menu_logo">
            <h:outputLink value="https://gazelle.ihe.net/" target="_blank">
                <h:graphicImage library="img" alt="#{messages['net.ihe.gazelle.patientmanager.GazelleLogo']}"
                                name="gazelle.png" height="34"/>
            </h:outputLink>
        </ui:define>
        <ui:define name="menu_navigation_links">
            <c:set var="menu" scope="session" value="#{menuProvider.getMenu()}"/>

            <ui:include src="/layout/menu/_generate_navigation_links.xhtml">
                <ui:param name="menu" value="#{menu}"/>
                <ui:param name="url_base_name" value="#{messages['gazelle.simulator.pam.PatientManager']}"/>
                <ui:param name="icon_template" value="/layout/_no_icon_template.xhtml"/>
            </ui:include>
        </ui:define>
        <ui:define name="menu_user_actions_right">
            <ui:decorate template="/layout/menu-right.xhtml">
                <ui:param name="applicationRoot" value="PatientManager"/>
                <ui:define name="administration_links">
                    <li>
                        <h:outputLink value="/PatientManager/administration/simulatorFeatures.seam">
                            <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.EnableDisableFeatures']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/PatientManager/administration/responderManager.seam">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.pam.HL7RespondersConfiguration']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/PatientManager/configuration/validationParametersList.seam">
                            <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.HL7MessageValidationConfiguration']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/PatientManager/administration/assigningAuthorities.seam">
                            <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.AssigningAuthorities']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/PatientManager/administration/patientCreation.seam">
                            <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.PatientCreation']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/PatientManager/sts/list.seam">
                            <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.PicketLinkCredentials']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/PatientManager/testData/list.seam">
                            <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.PredefinedTestData']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/PatientManager/messages/companyDetailsList.seam">
                            <h:outputText value="#{messages['gazelle.PAMSimulator.ManageCompanies']}"/>
                        </h:outputLink>
                    </li>
                    <li>
                        <h:outputLink value="/PatientManager/administration/transactionInstanceStatistics.seam">
                            <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.StatisticsOnSimulatorsUsage']}"/>
                        </h:outputLink>
                    </li>
                </ui:define>
            </ui:decorate>
        </ui:define>
    </ui:decorate>
</ui:composition>
